{
  "Bundle-SymbolicName": "ec_parameter_interceptor",
  "Bundle-Version": "3.10.0",
  "Bundle-Name": "${bundleName}",
  "Bundle-Description": "${bundleDescription}",
  "Bundle-Localization": [],
  "Require-Bundle": [
    {
      "name": "ec_i18n",
      "version": "3.10.0"
    },
    {
      "name": "ec_notifier",
      "version": "~3.10.0"
    },
    {
      "name": "ec_base",
      "version": "~3.10.0"
    },
    {
      "name": "sdi_srschanger",
      "version": "~4.0.3"
    },
    {
      "name": "coordinatetransformer",
      "version": "~3.10.0"
    }
  ],
  "Bundle-StartLevel": 1,
  "Components": [
    {
      "name": "WMSServiceRegistration",
      "impl": "./layer/WMSServiceRegistration",
      "immediate": true,
      "references": [
        {
          "name": "_eventService",
          "providing": "ct.framework.api.EventService"
        }
      ]
    },
    {
      "name": "ExtentChanger",
      "impl": "./ckan/ExtentChanger",
      "immediate": true,
      "provides": ["ct.framework.api.EventHandler"],
      "properties": {
        "Event-Topics": ["ec/odp/extent/RESOLVED", "sdi_srschanger/SRS/CHANGED"]
      },
      "references": [
        {
          "name": "_eventService",
          "providing": "ct.framework.api.EventService"
        },
        {
          "name": "_mapState",
          "providing": "ct.mapping.map.MapState"
        },
        {
          "name": "_srsChanger",
          "providing": "sdi_srschanger.SrsChangerController"
        },
        {
          "name": "_coordinateTransformer",
          "providing": "ct.api.coordinatetransformer.CoordinateTransformer"
        }
      ]
    },
    {
      "name": "CKANParameterInterceptor",
      "impl": "./ckan/ParameterInterceptor",
      "immediate": true,
      "propertiesConstructor": true,
      "provides": [
        "ec.odp.mapping.InitialExtentProvider",
        "ec.odp.ckan.ResourceProvider",
        "ct.framework.api.EventHandler"
      ],
      "properties": {
        "Event-Topics": [
          "ec/odp/template/AVAILABLE",
          "ec/odp/extent/REQUESTED",
          "ec/odp/extent/APPLIED"
        ],
        "extentRestrictions": {
          "4326": {
            "xmax": 90.0,
            "xmin": -90.0,
            "ymax": 180.0,
            "ymin": -180.0
          },
          "3035": {
            "xmax": 6829874.45,
            "xmin": 1507846.05,
            "ymax": 4662111.45,
            "ymin": 1896628.62
          },
          "3857": {
            "xmax": 20048966.1,
            "xmin": -20048966.1,
            "ymax": 20026376.39,
            "ymin": -20026376.39
          }
        }
      },
      "references": [
        {
          "name": "analyzers",
          "providing": "ec.odp.ckan.ResourceAnalyzer",
          "cardinality": "1..n"
        },
        {
          "name": "resourceFetcher",
          "providing": "ec.odp.ckan.ResourceFetcher"
        },
        {
          "name": "errorMessages",
          "providing": "ec.odp.ErrorMessages"
        },
        {
          "name": "_eventService",
          "providing": "ct.framework.api.EventService"
        }
      ]
    },
    {
      "name": "CKANResourceFetcher",
      "impl": "./ckan/ResourceFetcher",
      "propertiesConstructor": true,
      "immediate": true,
      "provides": ["ec.odp.ckan.ResourceFetcher"],
      "properties": {
        "timeout": 5000,
        "url": "http://suche.transparenz.hamburg.de/api/3/action/resource_show?id=:id"
      },
      "references": [
        {
          "name": "notifier",
          "providing": "ec.odp.Notifier"
        }
      ]
    },
    {
      "name": "WMSCKANResourceAnalyzer",
      "impl": "./ckan/WMSResourceAnalyzer",
      "propertiesConstructor": true,
      "provides": ["ec.odp.ckan.ResourceAnalyzer"],
      "properties": {},
      "references": [
        {
          "name": "notifier",
          "providing": "ec.odp.Notifier"
        }
      ]
    },
    {
      "name": "GeoJSONCKANResourceAnalyzer",
      "impl": "./ckan/GeoJSONResourceAnalyzer",
      "propertiesConstructor": true,
      "provides": ["ec.odp.ckan.ResourceAnalyzer"],
      "properties": {
        "wkids": {
          "4326": 4326,
          "EPSG:4326": 4326,
          "urn:ogc:def:crs:OGC:1.3:CRS84": 4326,
          "urn:ogc:def:crs:OGC::CRS84": 4326,
          "urn:ogc:def:crs:EPSG::4326": 4326,
          "http://www.opengis.net/def/crs/OGC/1.3/CRS84": 4326,
          "3857": 3857,
          "EPSG:3857": 3857,
          "urn:ogc:def:crs:EPSG::3857": 3857,
          "3035": 3035,
          "EPSG:3035": 3035,
          "ETRS-LAEA": 3035,
          "urn:ogc:def:crs:EPSG::3035": 3857
        }
      },
      "references": [
        {
          "name": "notifier",
          "providing": "ec.odp.Notifier"
        }
      ]
    },
    {
      "name": "CKANResourceHandler",
      "impl": "./layer/CKANResourceHandler",
      "references": [
        {
          "name": "resourceHandlers",
          "providing": "ec.odp.ckan.ResourceHandler",
          "cardinality": "1..n"
        },
        {
          "name": "resourceProvider",
          "providing": "ec.odp.ckan.ResourceProvider"
        },
        {
          "name": "notifier",
          "providing": "ec.odp.Notifier"
        }
      ]
    },
    {
      "name": "DynamicWMSLayerFactory",
      "impl": "./layer/DynamicWMSLayerFactory",
      "provides": ["ec.odp.ckan.ResourceHandler", "ec.odp.DynamicWMSLayer"],
      "references": [
        {
          "name": "esrimap",
          "providing": "esri.Map"
        },
        {
          "name": "mappingResourceRegistry",
          "providing": "ct.mapping.mapcontent.MappingResourceRegistry"
        },
        {
          "name": "mapModel",
          "providing": "ct.mapping.map.MapModel"
        },
        {
          "name": "mapState",
          "providing": "ct.mapping.map.MapState"
        },
        {
          "name": "notifier",
          "providing": "ec.odp.Notifier"
        },
        {
          "name": "userTutorial",
          "providing": "ec.odp.UserTutorial"
        },
        {
          "name": "legalDisclaimer",
          "providing": "ec.odp.LegalDisclaimer"
        },
        {
          "name": "sourcesMapDisclaimer",
          "providing": "ec.odp.SourcesMapDisclaimer"
        }
      ]
    },
    {
      "name": "DynamicGeoJSONLayerFactory",
      "impl": "./layer/DynamicGeoJSONLayerFactory",
      "provides": ["ec.odp.ckan.ResourceHandler"],
      "references": [
        {
          "name": "esrimap",
          "providing": "esri.Map"
        },
        {
          "name": "mrr",
          "providing": "ct.mapping.mapcontent.MappingResourceRegistry"
        },
        {
          "name": "mapModel",
          "providing": "ct.mapping.map.MapModel"
        },
        {
          "name": "mapState",
          "providing": "ct.mapping.map.MapState"
        },
        {
          "name": "geoJsonController",
          "providing": "loadservice.GeoJsonServiceExtensionController"
        },
        {
          "name": "notifier",
          "providing": "ec.odp.Notifier"
        }
      ]
    }
  ]
}
